- name: Install packages
  package:
    name:
      - gnupg
      - pcsc-tools
      - ccid
      - libusb-compat
      - pinentry
    state: present

- name: Enable pcscd
  systemd:
    name: "{{ item }}"
    state: started
    enabled: yes
    daemon_reload: yes
  loop:
    - pcscd.socket

- name: Install scripts
  copy:
    src: "files/{{ item.src }}"
    dest: "{{ item.dest }}"
    mode: 0755
    owner: "{{ build_user.name }}"
    group: "{{ build_user.group }}"
  loop:
    - src: yubikey_relearn_keys
      dest: /usr/local/bin/yubikey_relearn_keys
